<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/ComponentsBank.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d14/_components_bank_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ComponentsBank.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d14/_components_bank_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d5f/class_components_bank.html">ComponentsBank</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#aafa7a7a6d248ef288d17a0dda468aa66">    3</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>    <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#aafa7a7a6d248ef288d17a0dda468aa66">m_EntityParent</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">    4</a></span>    <span class="keyword">private</span> ref <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>   <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a>[<a class="code hl_variable" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>];</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#a70bab0bee490c8fd9e81fff84adef355">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a70bab0bee490c8fd9e81fff84adef355">ComponentsBank</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity_parent)</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#aafa7a7a6d248ef288d17a0dda468aa66">m_EntityParent</a> = entity_parent;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#a2aa4f86f26ead8972d73917027c375e4">   11</a></span>    <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a> <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a2aa4f86f26ead8972d73917027c375e4">GetComponent</a>(<span class="keywordtype">int</span> comp_type, <span class="keywordtype">string</span> extended_class_name=<span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">if</span> ( !<a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">IsTypeExist</a>(comp_type) )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">LogErrorBadCompType</a>(comp_type, <span class="stringliteral">&quot;EntityAI.GetComponent(int comp_type)&quot;</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">IsComponentAlreadyExist</a>(comp_type) )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#af7c0d609933711bb4d064ac42f1ca312">CreateComponent</a>(comp_type, extended_class_name);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a>[comp_type];     </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#a9fc9b02088b1d9621746992db97b86d1">   27</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a9fc9b02088b1d9621746992db97b86d1">DeleteComponent</a>(<span class="keywordtype">int</span> comp_type)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">IsComponentAlreadyExist</a>(comp_type) )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a>[comp_type] = NULL;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#af7c0d609933711bb4d064ac42f1ca312">   38</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a> <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#af7c0d609933711bb4d064ac42f1ca312">CreateComponent</a>(<span class="keywordtype">int</span> comp_type, <span class="keywordtype">string</span> extended_class_name=<span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( !<a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">IsTypeExist</a>(comp_type) )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">LogErrorBadCompType</a>(comp_type, <span class="stringliteral">&quot;EntityAI-&gt;CreateComponent(int comp_type)&quot;</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">IsComponentAlreadyExist</a>(comp_type) )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a2f666e77e1ed854010db630076beb100">LogWarningAlredyExist</a>(comp_type, <span class="stringliteral">&quot;EntityAI-&gt;CreateComponent(int comp_type)&quot;</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a>[comp_type];</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordtype">string</span> clas_name = extended_class_name;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( clas_name == <span class="keywordtype">string</span>.<a class="code hl_variable" href="../../d3/d45/_hand___states_8c.html#ac3e3346bc6f9bb504e43495424c91a51">Empty</a> )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            clas_name = <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.<a class="code hl_function" href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">GetNameByType</a>(comp_type);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a> comp = <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a>.Cast(clas_name.<a class="code hl_function" href="../../d5/da2/group___strings.html#gaa515872be8751d084507ccd73e0979da">ToType</a>().Spawn());</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        comp.<a class="code hl_function" href="../../d2/d00/class_component.html#a29c4142d146a766f3a38071262e362be">SetParentEntityAI</a>(<a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#aafa7a7a6d248ef288d17a0dda468aa66">m_EntityParent</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        comp.<a class="code hl_function" href="../../d2/d00/class_component.html#ab471dd09761f1ae5c583894a24015e2f">Event_OnAwake</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a>[comp_type] = comp;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        comp.<a class="code hl_function" href="../../d2/d00/class_component.html#a4c1e54baa02bbed08b12937b677668d2">Event_OnInit</a>();</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> comp;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">   72</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">IsComponentAlreadyExist</a>(<span class="keywordtype">int</span> comp_type)</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a>[comp_type] != NULL )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>}</div>
<div class="ttc" id="a_hand___states_8c_html_ac3e3346bc6f9bb504e43495424c91a51"><div class="ttname"><a href="../../d3/d45/_hand___states_8c.html#ac3e3346bc6f9bb504e43495424c91a51">Empty</a></div><div class="ttdeci">Empty</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d45/_hand___states_8c_source.html#l00014">Hand_States.c:14</a></div></div>
<div class="ttc" id="aclass_component_html"><div class="ttname"><a href="../../d2/d00/class_component.html">Component</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00015">Component.c:16</a></div></div>
<div class="ttc" id="aclass_component_html_a29c4142d146a766f3a38071262e362be"><div class="ttname"><a href="../../d2/d00/class_component.html#a29c4142d146a766f3a38071262e362be">Component::SetParentEntityAI</a></div><div class="ttdeci">void SetParentEntityAI(EntityAI e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00094">Component.c:94</a></div></div>
<div class="ttc" id="aclass_component_html_a2ad7e91364a17de0273b056d7fa5dbd0"><div class="ttname"><a href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">Component::LogErrorBadCompType</a></div><div class="ttdeci">static void LogErrorBadCompType(int comp_type, string fnc_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00076">Component.c:76</a></div></div>
<div class="ttc" id="aclass_component_html_a2f666e77e1ed854010db630076beb100"><div class="ttname"><a href="../../d2/d00/class_component.html#a2f666e77e1ed854010db630076beb100">Component::LogWarningAlredyExist</a></div><div class="ttdeci">static void LogWarningAlredyExist(int comp_type, string fnc_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00085">Component.c:85</a></div></div>
<div class="ttc" id="aclass_component_html_a4a14e38704f3fea42a648890117ed740"><div class="ttname"><a href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">Component::GetNameByType</a></div><div class="ttdeci">static string GetNameByType(int comp_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00048">Component.c:48</a></div></div>
<div class="ttc" id="aclass_component_html_a4c1e54baa02bbed08b12937b677668d2"><div class="ttname"><a href="../../d2/d00/class_component.html#a4c1e54baa02bbed08b12937b677668d2">Component::Event_OnInit</a></div><div class="ttdeci">void Event_OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00110">Component.c:110</a></div></div>
<div class="ttc" id="aclass_component_html_a87e5c52fb158bcefc8cce4c26ec45de3"><div class="ttname"><a href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">Component::IsTypeExist</a></div><div class="ttdeci">static bool IsTypeExist(int comp_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00062">Component.c:62</a></div></div>
<div class="ttc" id="aclass_component_html_ab471dd09761f1ae5c583894a24015e2f"><div class="ttname"><a href="../../d2/d00/class_component.html#ab471dd09761f1ae5c583894a24015e2f">Component::Event_OnAwake</a></div><div class="ttdeci">void Event_OnAwake()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00102">Component.c:102</a></div></div>
<div class="ttc" id="aclass_components_bank_html"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html">ComponentsBank</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00001">ComponentsBank.c:2</a></div></div>
<div class="ttc" id="aclass_components_bank_html_a1ed7421bb5492123f1dbf03120fddfdd"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">ComponentsBank::m_Components</a></div><div class="ttdeci">private ref Component m_Components[COMP_TYPE_COUNT]</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00004">ComponentsBank.c:4</a></div></div>
<div class="ttc" id="aclass_components_bank_html_a2aa4f86f26ead8972d73917027c375e4"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#a2aa4f86f26ead8972d73917027c375e4">ComponentsBank::GetComponent</a></div><div class="ttdeci">Component GetComponent(int comp_type, string extended_class_name=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00011">ComponentsBank.c:11</a></div></div>
<div class="ttc" id="aclass_components_bank_html_a3e54e277fe9431987c4f65e9e7c382f0"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">ComponentsBank::IsComponentAlreadyExist</a></div><div class="ttdeci">bool IsComponentAlreadyExist(int comp_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00072">ComponentsBank.c:72</a></div></div>
<div class="ttc" id="aclass_components_bank_html_a70bab0bee490c8fd9e81fff84adef355"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#a70bab0bee490c8fd9e81fff84adef355">ComponentsBank::ComponentsBank</a></div><div class="ttdeci">void ComponentsBank(EntityAI entity_parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00006">ComponentsBank.c:6</a></div></div>
<div class="ttc" id="aclass_components_bank_html_a9fc9b02088b1d9621746992db97b86d1"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#a9fc9b02088b1d9621746992db97b86d1">ComponentsBank::DeleteComponent</a></div><div class="ttdeci">bool DeleteComponent(int comp_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00027">ComponentsBank.c:27</a></div></div>
<div class="ttc" id="aclass_components_bank_html_aafa7a7a6d248ef288d17a0dda468aa66"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#aafa7a7a6d248ef288d17a0dda468aa66">ComponentsBank::m_EntityParent</a></div><div class="ttdeci">private EntityAI m_EntityParent</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00003">ComponentsBank.c:3</a></div></div>
<div class="ttc" id="aclass_components_bank_html_af7c0d609933711bb4d064ac42f1ca312"><div class="ttname"><a href="../../d4/d5f/class_components_bank.html#af7c0d609933711bb4d064ac42f1ca312">ComponentsBank::CreateComponent</a></div><div class="ttdeci">private Component CreateComponent(int comp_type, string extended_class_name=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d14/_components_bank_8c_source.html#l00038">ComponentsBank.c:38</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="agroup___components_html_ga7e2e9b64725a07307f41dcd20c220342"><div class="ttname"><a href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a></div><div class="ttdeci">const int COMP_TYPE_COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00012">Component.c:12</a></div></div>
<div class="ttc" id="agroup___strings_html_gaa515872be8751d084507ccd73e0979da"><div class="ttname"><a href="../../d5/da2/group___strings.html#gaa515872be8751d084507ccd73e0979da">string::ToType</a></div><div class="ttdeci">proto native ToType()</div><div class="ttdoc">Returns internal type representation. Can be used in runtime, or cached in variables and used for fas...</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../d5/d14/_components_bank_8c.html">ComponentsBank.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
